home/urls.py
from django.conf.urls import url
from .views import index, profile
from .views import add_session, del_session, add_message, dashboard

urlpatterns = [
    url(r'^$', index, name='index'),
	url(r'^profile/$', profile, name='profile'),
    url(r'add-session', add_session, name='add-session'),
    url(r'del-session', del_session, name='del-session'),
	url(r'^add_message/(?P<id>.*)/$', add_message, name='add_message'),
	url(r'^dashboard/', dashboard, name='dashboard'),
    ]

linkedin2/urls.py
from django.conf.urls import url, include
from django.contrib import admin
from django.views.generic.base import RedirectView
import home.urls as home
import tanggapan_lowongan.urls as tanggapan_lowongan
import fitur_forum.urls as forum

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^home/', include(home, namespace='home')),
    url(r'^forum/', include(forum,namespace='forum')),
    url(r'^tanggapan-lowongan/', include(tanggapan_lowongan, namespace='tanggapan_lowongan')),
    url(r'^$', RedirectView.as_view(url="/home/", permanent="true"), name="index"),
]

tanggapan_lowongan/urls.py
from .views import index, add_status, add_comment, delete_status
from django.conf.urls import url

urlpatterns = [
	url(r'^$', index, name='index'),
	url(r'^add_status', add_status, name='add_status'),
	#url(r'^add_comment', add_comment, name='add_comment'),
	#url(r'^add_comment/(?P<pk>\d+)/comment/$', add_comment, name='add_comment'),
	url(r'^add_comment/(?P<pk>.*)/$', add_comment, name='add_comment'),
	url(r'^delete_status/(?P<object_id>[0-9]+)',delete_status,name='delete_status'),
	#url(r'^delete_status', delete_status, name='delete_status'),
]

tanggapan_lowongan/models.py
from django.db import models
from fitur_forum.models import Message

# Create your models here.
class Status(models.Model):
	status = models.TextField(max_length=160)
	created_date = models.DateTimeField(auto_now_add=True)

	def __str__(self):
		return self.status

class Comment(models.Model):

	nama = models.CharField('Nama', max_length=160)

	comment = models.TextField(max_length=160)
	created_date = models.DateTimeField(auto_now_add=True)
	
	status = models.ForeignKey(Message, null=True, blank=True)

	def __str__(self):
		return self.comment

tanggapan_lowongan/forms.py
from django import forms

class Status_Form(forms.Form):
    error_messages = {
        'required': 'Tolong isi status',
    }
    description_attrs ={
    	'type':'text',
    	'rows':4,
    	'class':'status-form-textarea',
    	'placeholder':"What's on your mind?"
    }

    #name = forms.CharField(label='Nama', required=False, max_length=27, empty_value='Anonymous', widget=forms.TextInput(attrs=attrs))
    #email = forms.EmailField(required=False, widget=forms.EmailInput(attrs=attrs))
    status = forms.CharField(widget=forms.Textarea(attrs=description_attrs), required=True, label='')


class Comment_Form(forms.Form):
    error_messages ={
        'required':'Tolong isi comment'
    }
    description_attrs ={
        'type':'text',
        'rows':1,
        'class':'comment-form-textarea',
        'placeholder':'Please give a comment'
    }
    nama_attrs={
        'class':'comment-form-textarea',
        'placeholder':'Put your name here'
    }

    nama = forms.CharField(label='', required=True, max_length=30, widget=forms.TextInput(attrs=nama_attrs))
    comment = forms.CharField(widget=forms.Textarea(attrs=description_attrs), required=True, max_length = 160, label='')

tanggapan_lowongan/views.py
from django.http import HttpResponseRedirect
from .forms import Status_Form, Comment_Form
from .models import Status, Comment
from django.shortcuts import render, redirect, get_object_or_404
from django.core.paginator import Paginator, EmptyPage, PageNotAnInteger

from fitur_forum.models import Message
from fitur_forum.forms import Message_Form

# Create your views here.

status_dict ={}

response = {'author': "Ling In"} #TODO Implement yourname
def index(request):
    #TODO Implement, isilah dengan 6 kata yang mendeskripsikan anda

    status = Message.objects.all().order_by('-created_date')

    response['status'] = status
    response['status_form'] = Message_Form
    response['comment_form'] = Comment_Form
    response['message_list'] = status
	
    message_list = status
    paginator = Paginator(message_list, 5)
    page = request.GET.get('page', 1)
	
    try:
        users = paginator.page(page)
    except PageNotAnInteger:
        users = paginator.page(1)
    except EmptyPage:
        users = paginator.page(paginator.num_pages)
	
    response["message_list"] = users
    html = 'tanggapan_lowongan/tanggapan_lowongan.html'
    return render(request, html, response)

def add_status(request):
	form = Message_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		response['status'] = request.POST['status']
		status = Message(status=response['status'])
		status.save()
		return redirect('/tanggapan-lowongan/')
	else:
		return HttpResponseRedirect('/tanggapan-lowongan/')

def add_comment(request, pk):
	status = Message.objects.get(pk=pk)
	form = Comment_Form(request.POST or None)
	if(request.method == 'POST' and form.is_valid()):
		response['comment'] = request.POST['comment']

		comment=Comment(comment=response['comment'])
		comment.status = status

		comment.nama = request.POST['nama']

		comment.save()
		return redirect('/tanggapan-lowongan/')
	else:
		return HttpResponseRedirect('/tanggapan-lowongan/')

def delete_status(request, object_id):
	status = Message.objects.get(pk=object_id)
	status.delete()
	return HttpResponseRedirect('/tanggapan-lowongan/')

def paginate_page(page, data_list):
    paginator = Paginator(data_list, 5)

    try:
        data = paginator.page(page)
    except PageNotAnInteger:
        data = paginator.page(1)
    except EmptyPage:
        data = paginator.page(paginator.num_pages)

    # Get the index of the current page
    index = data.number - 1
    # This value is maximum index of your pages, so the last page - 1
    max_index = len(paginator.page_range)
    # You want a range of 10, so lets calculate where to slice the list
    start_index = index if index >= 5 else 0
    end_index = 5 if index < max_index - 5 else max_index
    # Get our new page range. In the latest versions of Django page_range returns 
    # an iterator. Thus pass it to list, to make our slice possible again.
    page_range = list(paginator.page_range)[start_index:end_index]
    paginate_data = {'data':data, 'page_range':page_range}
    return paginate_data

tanggapan_lowongan/templates/tanggapan_lowongan/tanggapan_lowongan.html
{% extends "tanggapan_lowongan/layout/base.html" %}

{% block content %}
<div class="wrapper-page">
    <!--<div class="wrapper-kiri">
        <div class="wrapper-content">
        <h1 class="friend-title text-white">Update Status</h1>
        <form id="form" method="POST" action="{% url 'tanggapan_lowongan:add_status' %}" class="form-main">
            {% csrf_token %}
            {{ status_form }}
            <br>
            <button type="submit" class="btn btn-default" style="float: right;">Post Status</button>
            <br>
        </form>
        </div>
    </div>-->
    <div class="wrapper-kanan">
        <div class="wrapper-content">
        <h1 class="recent-updates text-white"> Recent Updates</h1>
        <hr class="divider">
        <div class="scrollable">
        <div class="flex-list">
            {% for i in message_list %}
            <div class="flex-list-item friend-list-item">
                <!-- <img class="img-circle" src="https://vignette.wikia.nocookie.net/spongebob/images/9/95/Hash.jpg/revision/latest?cb=20120624212303" alt = "Me" style="width: 50px; height: 50px;"> -->
                <div class="flex-list-item-post">
                    <h2>{{i.title}}</h2>
                    <h3>{{i.message}}</h3>
                    <h5>company: {{i.pengguna.nama}}</h5>
                    <h5>{{i.created_date}}</h5>
                </div>
                <!-- <div class="flex-list-item-comment">
                    <div class="flex-list-item-comment-button" data-id="{{data.id}}">Comment</div>
                </div>
                <div class="flex-list-item-delete">
                    <div class="flex-list-item-delete-button" data-id="{{i.id}}"><a href="{% url 'tanggapan_lowongan:delete_status' object_id=i.id%}" style="color: white">Delete</a></div>
                </div> -->
            </div>
                <div class="flex-list-item-comment-section">
                    <div class="comment-section">
                        <div class="comment-section-comment">
                            <h3>Comment</h3>
                            {% if i.comment_set.all %}
                                {% for comment in i.comment_set.all %}
                                    <h4>{{comment.nama}}</h4>
                                    <h5>{{comment.comment}}</h5>
                                    <h6>{{comment.created_date}}</h6>
                                    <hr>
                                {% endfor %}
                            {% endif %}
                        </div>
                        <div class="comment-section-form">
                        <form id="form" method="POST" action="{% url 'tanggapan_lowongan:add_comment' pk=i.id%}" class="form-comment" style="color: black">
                            {% csrf_token %}
                            {{ comment_form }}
                            <input id="submit" type="submit" class="btn" value="Submit" style="bottom: -10px">
                            <br>
                        </form>
                        </div>
                    </div>
                </div>
            {% endfor %}
            
            {% if message_list.has_other_pages %}
            <ul class="pagination">
                {% if message_list.has_previous %}
                    <li><a href="?page={{ message_list.previous_page_number }}">&laquo;</a></li>
                {% else %}
                    <li class="disabled"><span>&laquo;</span></li>
                {% endif %}
        
                {% for i in message_list.paginator.page_range %}
                    {% if message_list.number == i %}
                        <li class="active"><span>{{ i }} <span class="sr-only">(current)</span></span></li>
                    {% else %}
                        <li><a href="?page={{ i }}">{{ i }}</a></li>
                    {% endif %}
                {% endfor %}
                {% if message_list.has_next %}
                      <li><a href="?page={{ message_list.next_page_number }}">&raquo;</a></li>
                {% else %}
                      <li class="disabled"><span>&raquo;</span></li>
                {% endif %}
            </ul>
            {% endif %}

        </div>
        </div>
    </div>
    </div>
</div>
{% endblock %}